Index: trunk/IPs/systemC/processor/Morpheo/Script/execute.sh
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Script/execute.sh	(revision 71)
+++ trunk/IPs/systemC/processor/Morpheo/Script/execute.sh	(revision 78)
@@ -7,7 +7,7 @@
 declare    FILE_CPT=;
 declare    FILE_CPU=;
-declare    LOCK_CPT="$HOME/.lock-cpt";
-declare    LOCK_CPU="$HOME/.lock-cpu";
-    
+declare    LOCK_CPT="${HOME}/.lock-cpt";
+declare    LOCK_CPU="${HOME}/.lock-cpu";
+
 #-----[ lock ]----------------------------------------------
 function lock ()
Index: trunk/IPs/systemC/processor/Morpheo/Script/execute_n.sh
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Script/execute_n.sh	(revision 71)
+++ trunk/IPs/systemC/processor/Morpheo/Script/execute_n.sh	(revision 78)
@@ -8,17 +8,19 @@
 declare    FILE_CPT;
 declare    FILE_CPU;
-declare    ID="cpu-$HOSTNAME-$$"
+declare    ID="cpu-${HOSTNAME}-$$"
 
 #-----[ usage ]---------------------------------------------
 function usage ()
 {
-    echo "Usage : $0 file [ nb_process ]";
-    echo "      * file       : list of command";
-    echo "      * nb_process : number of process (default (and maximum) is the number of processor)";
+    echo "Usage     : $0 file [ nb_process ]";
+    echo "Arguments : ";
+    echo " * file       : list of command";
+    echo " * nb_process : number of process (default (and maximum) is the number of processor)";
     echo "";
-    echo "Note  - This script, for each command, create a directory : Task_X (X is the number of command), and execute the command in this directory.";
-    echo "      - Two file is generate : \"output\" is the output of the execution, and \"command\" is the command lunch.";
-    echo "      - A command empty (no command on a line of file1) is a synchronisation with all process"
-    echo "      - Don't forgot the final end of line (else the last command is not executed";
+    echo "Note      : ";
+    echo " * This script, for each command, create a directory : Task_X (X is the number of command), and execute the command in this directory.";
+    echo " * Two file is generate : \"output\" is the output of the execution, and \"command\" is the command lunch.";
+    echo " * A command empty (no command on a line of file) is a synchronisation with all process"
+    echo " * Don't forgot the final end of line (else the last command is not executed";
     echo "";
     exit;
@@ -30,9 +32,9 @@
     local FILE_CPUINFO=/proc/cpuinfo;
     if test ! -f $FILE_CPUINFO; then
-	echo "\"$FILE_CPUINFO\" don't exist."
+	echo "\"${FILE_CPUINFO}\" don't exist."
 	usage;
     fi;
 
-    eval "$1=`grep -c \"processor\" $FILE_CPUINFO`";
+    eval "$1=`grep -c \"processor\" ${FILE_CPUINFO}`";
 }
 
Index: trunk/IPs/systemC/processor/Morpheo/Script/first_run.sh
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Script/first_run.sh	(revision 78)
+++ trunk/IPs/systemC/processor/Morpheo/Script/first_run.sh	(revision 78)
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+#-----[ usage ]---------------------------------------------
+function usage ()
+{
+    echo "Usage     : ${0}";
+    echo "Note      :";
+    echo " * Morpheo's environnement must be positionned.";
+    exit;
+}
+
+#-----[ main ]----------------------------------------------
+function main ()
+{
+    if test ${#} -ne 0 -o -z ${MORPHEO_HOME}; then
+	usage ${*};
+    fi;
+
+    # create directories
+    mkdir ${MORPHEO_HOME};
+    mkdir ${MORPHEO_HOME}/lock; # lock      directory
+    mkdir ${MORPHEO_HOME}/tmp;  # temporary directory
+}
+
+#-----[ Body ]----------------------------------------------
+main ${*}
Index: trunk/IPs/systemC/processor/Morpheo/Script/lock.sh
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Script/lock.sh	(revision 71)
+++ trunk/IPs/systemC/processor/Morpheo/Script/lock.sh	(revision 78)
@@ -4,6 +4,10 @@
 function usage ()
 {
-    echo "Usage   : ${0} file";
-    echo "lock file, you can see the lock at \"~/.$(basename file).lock\""
+    echo "Usage     : ${0} file";
+    echo "Arguments : ";
+    echo ' * file : you can see the lock at "${MORPHEO_HOME}/lock/$(basename file).lock"';
+    echo "Notes     :";
+    echo " * Morpheo's environnement must be positionned.";
+
     exit;
 }
@@ -18,9 +22,11 @@
 function main ()
 {
-    if test ${#} -ne 1 -o ! -f ${1}; then
+    LOCK_DIRECTORY="${MORPHEO_HOME}/lock";
+
+    if test ${#} -ne 1 -o -z ${MORPHEO_HOME} -o ! -d ${LOCK_DIRECTORY}; then
 	usage ${*};
     fi;
 
-    lock "${HOME}/.$(basename ${1}).lock"
+    lock "${LOCK_DIRECTORY}/$(basename ${1}).lock"
 }
 
Index: trunk/IPs/systemC/processor/Morpheo/Script/log_trace.pl
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Script/log_trace.pl	(revision 71)
+++ trunk/IPs/systemC/processor/Morpheo/Script/log_trace.pl	(revision 78)
@@ -20,7 +20,8 @@
 sub usage() 
 {
-    print "usage : $0 rob_trace_file nm_file\n";
-    print "      * rob_trace_file : Trace file generate by simulation\n";
-    print "      * nm_file        : List of symbol (generate by nm)\n";
+    print "Usage     : $0 rob_trace_file nm_file\n";
+    print "Arguments : ";
+    print " * rob_trace_file : Trace file generate by simulation\n";
+    print " * nm_file        : List of symbol (generate by nm)\n";
     exit(1);
 }
Index: trunk/IPs/systemC/processor/Morpheo/Script/range.sh
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Script/range.sh	(revision 71)
+++ trunk/IPs/systemC/processor/Morpheo/Script/range.sh	(revision 78)
@@ -4,5 +4,6 @@
 function usage ()
 {
-    echo "Usage   : $0 min max [step [iter]]";
+    echo "Usage     : ${0} min max [step [iter]]";
+    echo "Arguments : ";
     echo " * min  : value minimal";
     echo " * max  : value maximal";
@@ -15,15 +16,15 @@
 function range ()
 {
-    declare a=$1;
-    declare b=$2;
-    declare step=$3;
+    declare a=${1};
+    declare b=${2};
+    declare step=${3};
 
-    while test $a -lt $b; do
-        echo $a;
-        a=$(($a $step));
+    while test ${a} -lt ${b}; do
+        echo ${a};
+        a=$((${a} ${step}));
     done
 
-    if test $a -eq $b; then
-	echo $a;
+    if test ${a} -eq ${b}; then
+	echo ${a};
     fi;
 }
@@ -32,20 +33,20 @@
 function range_max ()
 {
-    declare a=$1;
-    declare b=$2;
-    declare step=$3;
-    declare iter=$4;
+    declare a=${1};
+    declare b=${2};
+    declare step=${3};
+    declare iter=${4};
 
-    while test $a -lt $b -a $iter -gt 1; do
-	a=$(($a $step));
-	iter=$(($iter-1));
+    while test ${a} -lt ${b} -a ${iter} -gt 1; do
+	a=$((${a} ${step}));
+	iter=$((${iter}-1));
     done;
 
-    if test $a -eq $b; then
-	echo $a;
+    if test ${a} -eq ${b}; then
+	echo ${a};
     fi;
 
-    if test $iter -eq 1; then
-	echo $a;
+    if test ${iter} -eq 1; then
+	echo ${a};
     fi;
 }
@@ -55,12 +56,12 @@
 {
     # create operande
-    case $# in
-	2) range $* "+1";;
-	3) range $*     ;;
-	4) range_max $* ;;
-	*) usage $*
+    case ${#} in
+	2) range ${*} "+1";;
+	3) range ${*}     ;;
+	4) range_max ${*} ;;
+	*) usage ${*}
     esac
 }
 
 #-----[ Corps ]---------------------------------------------
-main $*
+main ${*}
Index: trunk/IPs/systemC/processor/Morpheo/Script/unlock.sh
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Script/unlock.sh	(revision 71)
+++ trunk/IPs/systemC/processor/Morpheo/Script/unlock.sh	(revision 78)
@@ -4,6 +4,10 @@
 function usage ()
 {
-    echo "Usage   : ${0} file";
-    echo "unlock file, you can see the lock at \"~/.$(basename file).lock\""
+    echo "Usage     : ${0} file";
+    echo "Arguments : ";
+    echo ' * file : you can see the lock at "${MORPHEO_HOME}/lock/$(basename file).lock"';
+    echo "Notes     :";
+    echo " * Morpheo's environnement must be positionned.";
+
     exit;
 }
@@ -18,9 +22,11 @@
 function main ()
 {
-    if test ${#} -ne 1 -o ! -f ${1}; then
+    LOCK_DIRECTORY="${MORPHEO_HOME}/lock";
+
+    if test ${#} -ne 1 -o -z ${MORPHEO_HOME} -o ! -d ${LOCK_DIRECTORY}; then
 	usage ${*};
     fi;
 
-    unlock "${HOME}/.$(basename ${1}).lock"
+    unlock "${LOCK_DIRECTORY}/$(basename ${1}).lock"
 }
 
Index: trunk/IPs/systemC/processor/Morpheo/Script/xilinx_extract_info.sh
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Script/xilinx_extract_info.sh	(revision 71)
+++ trunk/IPs/systemC/processor/Morpheo/Script/xilinx_extract_info.sh	(revision 78)
@@ -2,5 +2,4 @@
 
 for i in *.fpga.log; do
-
     echo "===== $i";
     grep "Number of Slice Registers" $i;
